curl --request GET \
--url 'https://gateway.amana.io/asset-info/{id}'
import requests
url = "https://gateway.amana.io/asset-info/{id}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/asset-info/{id}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"about": "<string>",
"snapshot": [
{
"displayText": "<string>",
"value": "<string>"
}
],
"price_target": {
"currentPrice": 123.45,
"targetLowPrice": "<string>",
"targetHighPrice": "<string>",
"targetMeanPrice": "<string>"
},
"earnings": {
"forecast": [
123.45
],
"actualInc": [
123.45
],
"actualDec": [
123.45
],
"q": [
"<string>"
]
},
"analyst_ratings": {
"buy": 123.45,
"hold": 123.45,
"sell": 123.45,
"strongBuy": 123.45,
"strongSell": 123.45,
"recommended": "<string>"
}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Market data
Get asset information
Get descriptive information about an asset.
GET
/
asset-info
/
{id}
curl --request GET \
--url 'https://gateway.amana.io/asset-info/{id}'
import requests
url = "https://gateway.amana.io/asset-info/{id}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/asset-info/{id}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"about": "<string>",
"snapshot": [
{
"displayText": "<string>",
"value": "<string>"
}
],
"price_target": {
"currentPrice": 123.45,
"targetLowPrice": "<string>",
"targetHighPrice": "<string>",
"targetMeanPrice": "<string>"
},
"earnings": {
"forecast": [
123.45
],
"actualInc": [
123.45
],
"actualDec": [
123.45
],
"q": [
"<string>"
]
},
"analyst_ratings": {
"buy": 123.45,
"hold": 123.45,
"sell": 123.45,
"strongBuy": 123.45,
"strongSell": 123.45,
"recommended": "<string>"
}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Path parameters
string
required
Symbol ID
Query parameters
string
Language for the app.
Response
200 Success.
string
Possible Errors
| Error | Possible cause | What to do |
|---|---|---|
| 400 | Invalid or missing field | Check the request against the schema. |
| 403 | IP not whitelisted, or account restricted | Confirm your IP is whitelisted; otherwise contact Amana. |
| 429 / 5xx | Rate limit, or temporary issue on our side | Retry with backoff; contact support if it persists. |
curl --request GET \
--url 'https://gateway.amana.io/asset-info/{id}'
import requests
url = "https://gateway.amana.io/asset-info/{id}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/asset-info/{id}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"about": "<string>",
"snapshot": [
{
"displayText": "<string>",
"value": "<string>"
}
],
"price_target": {
"currentPrice": 123.45,
"targetLowPrice": "<string>",
"targetHighPrice": "<string>",
"targetMeanPrice": "<string>"
},
"earnings": {
"forecast": [
123.45
],
"actualInc": [
123.45
],
"actualDec": [
123.45
],
"q": [
"<string>"
]
},
"analyst_ratings": {
"buy": 123.45,
"hold": 123.45,
"sell": 123.45,
"strongBuy": 123.45,
"strongSell": 123.45,
"recommended": "<string>"
}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
Last modified on October 8, 2026
